aws-0.24.4: Amazon Web Services (AWS) for Haskell

Copyright | Soostone Inc
License | BSD3
Maintainer | Ozgun Ataman <ozgun.ataman@soostone.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.Scan

Description

Implementation of Amazon DynamoDb Scan command.

See: `http://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_Scan.html`

Synopsis

- data Scan = Scan {
  - sTableName :: Text
  - sConsistentRead :: Bool
  - sFilter :: Conditions
  - sStartKey :: Maybe [Attribute]
  - sLimit :: Maybe Int
  - sIndex :: Maybe Text
  - sSelect :: QuerySelect
  - sRetCons :: ReturnConsumption
  - sSegment :: Int
  - sTotalSegments :: Int
  }
- scan :: Text -> Scan
- data ScanResponse = ScanResponse {
  - srItems :: Vector Item
  - srLastKey :: Maybe [Attribute]
  - srCount :: Int
  - srScanned :: Int
  - srConsumed :: Maybe ConsumedCapacity
  }

# Documentation

data Scan Source #

A Scan command that uses primary keys for an expedient scan.

Constructors

Scan |

Fields

- sTableName :: Text

  Required.

- sConsistentRead :: Bool

  Whether to require a consistent read

- sFilter :: Conditions

  Whether to filter results before returning to client

- sStartKey :: Maybe [Attribute]

  Exclusive start key to resume a previous query.

- sLimit :: Maybe Int

  Whether to limit result set size

- sIndex :: Maybe Text

  Optional. Index to `Scan`

- sSelect :: QuerySelect

  What to return from `Scan`

- sRetCons :: ReturnConsumption
- sSegment :: Int

  Segment number, starting at 0, for parallel queries.

- sTotalSegments :: Int

  Total number of parallel segments. 1 means sequential scan.

#### Instances

Instances details

ToJSON Scan Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods toJSON :: Scan -> Value Source # toEncoding :: Scan -> Encoding Source # toJSONList :: [Scan] -> Value Source # toEncodingList :: [Scan] -> Encoding Source # omitField :: Scan -> Bool Source #
SignQuery Scan Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Associated Types

type ServiceConfiguration Scan |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ServiceConfiguration Scan = DdbConfiguration

Methods

signQuery :: Scan -> ServiceConfiguration Scan queryType -> SignatureData -> SignedQuery Source #

Read Scan Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods readsPrec :: Int -> ReadS Scan Source # readList :: ReadS [Scan] Source # readPrec :: ReadPrec Scan Source # readListPrec :: ReadPrec [Scan] Source #
Show Scan Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods showsPrec :: Int -> Scan -> ShowS Source # show :: Scan -> String Source # showList :: [Scan] -> ShowS Source #
Eq Scan Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods (==) :: Scan -> Scan -> Bool Source # (/=) :: Scan -> Scan -> Bool Source #
Ord Scan Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods compare :: Scan -> Scan -> Ordering Source # (<) :: Scan -> Scan -> Bool Source # (<=) :: Scan -> Scan -> Bool Source # (>) :: Scan -> Scan -> Bool Source # (>=) :: Scan -> Scan -> Bool Source # max :: Scan -> Scan -> Scan Source # min :: Scan -> Scan -> Scan Source #
IteratedTransaction Scan ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods nextIteratedRequest :: Scan -> ScanResponse -> Maybe Scan Source #
Transaction Scan ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan
type ServiceConfiguration Scan Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ServiceConfiguration Scan = DdbConfiguration

scan Source #

Arguments

:: Text | Table name
-> Scan |

Construct a minimal `Scan` request.

data ScanResponse Source #

Response to a `Scan` query.

Constructors

ScanResponse |

Fields

- srItems :: Vector Item
- srLastKey :: Maybe [Attribute]
- srCount :: Int
- srScanned :: Int
- srConsumed :: Maybe ConsumedCapacity

#### Instances

Instances details

FromJSON ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods parseJSON :: Value -> Parser ScanResponse Source # parseJSONList :: Value -> Parser [ScanResponse] Source # omittedField :: Maybe ScanResponse Source #
AsMemoryResponse ScanResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Associated Types

type MemoryResponse ScanResponse |
Instance details Defined in Aws.DynamoDb.Commands.Scan type MemoryResponse ScanResponse = ScanResponse

Methods

loadToMemory :: ScanResponse -> ResourceT IO (MemoryResponse ScanResponse) Source #

Read ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods readsPrec :: Int -> ReadS ScanResponse Source # readList :: ReadS [ScanResponse] Source # readPrec :: ReadPrec ScanResponse Source # readListPrec :: ReadPrec [ScanResponse] Source #
Show ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods showsPrec :: Int -> ScanResponse -> ShowS Source # show :: ScanResponse -> String Source # showList :: [ScanResponse] -> ShowS Source #
Eq ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods (==) :: ScanResponse -> ScanResponse -> Bool Source # (/=) :: ScanResponse -> ScanResponse -> Bool Source #
Ord ScanResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Methods

compare :: ScanResponse -> ScanResponse -> Ordering Source #

(<) :: ScanResponse -> ScanResponse -> Bool Source #

(<=) :: ScanResponse -> ScanResponse -> Bool Source #

(>) :: ScanResponse -> ScanResponse -> Bool Source #

(>=) :: ScanResponse -> ScanResponse -> Bool Source #

max :: ScanResponse -> ScanResponse -> ScanResponse Source #

min :: ScanResponse -> ScanResponse -> ScanResponse Source #

IteratedTransaction Scan ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods nextIteratedRequest :: Scan -> ScanResponse -> Maybe Scan Source #
ListResponse ScanResponse Item Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods listResponse :: ScanResponse -> [Item] Source #
ResponseConsumer r ScanResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Associated Types

type ResponseMetadata ScanResponse |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ResponseMetadata ScanResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ScanResponse) -> HTTPResponseConsumer ScanResponse Source #

Transaction Scan ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan
type MemoryResponse ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan type MemoryResponse ScanResponse = ScanResponse
type ResponseMetadata ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ResponseMetadata ScanResponse = DdbResponse